<?
include 'inclydings/gzips.php';
include 'mysql.php';
include_once("inclydings/zag.php");
include 'inclydings/ini.php';
include_once("inclydings/sesi.php");
if (isset($user)) {
include_once("inclydings/udata.php");
switch(@$go) {
default:

echo "<form action=\"paty.php?go=go&".$sd."\" method=\"post\">";
echo "Введите ник с кем хотите играть в пати?:<br/>";
echo "<input name=\"uzer\" maxlength=\"15\" title=\"uzer\"/><br/>";
echo '<input type="submit" value="Предложить" /></form>';

break;

case 'go':
if(@file("L2dbnam/esql2db/admins/$nick.dat")){echo"Ты думаёш ты один такой разумный??? Администрация не качает!  !"; include_once"inclydings/down.php"; exit;}
if($log==$uzer){echo"ХА?! САМ С СОБОЙ?? НЕЛЬЗЯ!!!"; include_once"inclydings/down.php"; exit;}
if(!@file("L2dbnam/esql2db/reg/$uzer.dat")){echo"Такого игрока нет!"; include_once"inclydings/down.php"; exit;}

if(@file("L2dbnam/esql2db/paty/$uzer.dat")){echo"Этот игрок уже играет в пати!"; include_once"inclydings/down.php"; exit;}
$file=@file("L2dbnam/esql2db/reg/$uzer.dat");
$dat=explode(":||:",$file[0]);
$dp=$dat[9];
$dm=$dat[9];
$dp2=$udata[9]+1000;
$dm2=$udata[9]-1000;
if($dp2<$dp){echo"Разница уровней больше или меньше 10";
include_once"inclydings/down.php";exit;}
if($dm2>$dm){echo"Разница уровней больше или меньше 10";
include_once"inclydings/down.php";exit;}




$text=$udata[0].':||:'.$udata[9].':||:time:||:';

$fp=fopen("L2dbnam/esql2db/paty/tmp/$uzer.dat","w");
flock($fp,LOCK_EX);
ftruncate($fp,0);
fputs($fp,"$text");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
chmod ("L2dbnam/esql2db/paty/tmp/$uzer.dat", 0666);

/////////////////////////////////////////////////////////////////////////////////////////////
echo"Предложение отослано!<br/> <a href=\"paty.php?go=time&$sd&uzer=$uzer\">Продолжить</a>";
break;
case 'ok':
$text = @file("L2dbnam/esql2db/paty/tmp/$log.dat");
$uda = explode(":||:",$text[0]);

$text=$uda[0].':||:'.$uda[1].':||:yes:||:';

$fp=fopen("L2dbnam/esql2db/paty/$log.dat","w");
flock($fp,LOCK_EX);
ftruncate($fp,0);
fputs($fp,"$text");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);

$text=$log.':||:'.$udata[9].':||:yes:||:';

$fp=fopen("L2dbnam/esql2db/paty/$uda[0].dat","w");
flock($fp,LOCK_EX);
ftruncate($fp,0);
fputs($fp,"$text");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);

@unlink ("L2dbnam/esql2db/paty/tmp/$log.dat");

echo"Вы приняли пати.<br/> <a href=\"main.php?$sd\">Продолжить</a>";

break;

case 'no':
@unlink ("L2dbnam/esql2db/paty/tmp/$log.dat");
echo"Вы отказались вступать в пати";
break;

case 'time':
if(!@file("L2dbnam/esql2db/paty/$uzer.dat")){echo"Игрок еще не принял пати!"; include_once"inclydings/down.php"; exit; }
$text = @file("L2dbnam/esql2db/paty/$uzer.dat");
$uda = explode(":||:",$text[0]);

if($uda[2]=="yes"){echo"$uzer принял пати!<br/> <a href=\"main.php?$sd\">Продолжить</a>";}
if($uda[2]=="no"){echo"$uzer отказался!<br/> <a href=\"main.php?$sd\">Продолжить</a>";}

break;
case 'del':
if(@file("L2dbnam/esql2db/paty/$log.dat")){
$text = @file("L2dbnam/esql2db/paty/$log.dat");
$uda = explode(":||:",$text[0]);
unlink ("L2dbnam/esql2db/paty/$uda[0].dat");
unlink ("L2dbnam/esql2db/paty/$log.dat");
echo"Вы вышли из пати.<br/> <a href=\"main.php?$sd\">Продолжить</a>";}
break;

}}else{echo"Пароль или логин неверен!";}

include_once"inclydings/down.php";
?>





